-- 基础信息
base_info = {
	group_id = 133220693
}

-- DEFS_MISCS
defs = {
        group_id = 133220693,
        gadget_prison_list = {693001},
        gadget_guide = {693057,693058, 693059},
        bait_list = {
                [1] = { 693053, 693054, 693055},
                [2] = { 693060, 693061, 693062},
                [3] = { 693063, 693064, 693065},
        },
        duration = 210,
        rampage_time = 40,
        gadget_energy =  693056,
        galleryId = 7020,
        eye_point =  693071,
}


local energy_info = {
        [1] = { time = 100, step = {-30,30},points = { 693076, 693077, 693078, 693079, 693080, 693081}},
        --[2] = { time = 180, step = {-1,1},points = {5075,5076,5077,5078,5079,5080}},
}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	[693001] = { config_id = 693001, gadget_id = 70800087, pos = { x = -2569.182, y = 273.733, z = -4569.590 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, level = 10, area_id = 11 },
	[693002] = { config_id = 693002, gadget_id = 70800069, pos = { x = -2566.692, y = 274.120, z = -4594.084 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 11 },
	[693003] = { config_id = 693003, gadget_id = 70800069, pos = { x = -2580.812, y = 274.008, z = -4626.751 }, rot = { x = 0.000, y = 313.264, z = 0.000 }, level = 1, area_id = 11 },
	[693004] = { config_id = 693004, gadget_id = 70800069, pos = { x = -2582.965, y = 274.004, z = -4621.696 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 11 },
	[693005] = { config_id = 693005, gadget_id = 70800069, pos = { x = -2539.654, y = 274.174, z = -4630.538 }, rot = { x = 0.000, y = 311.309, z = 0.000 }, level = 1, area_id = 11 },
	[693006] = { config_id = 693006, gadget_id = 70800069, pos = { x = -2546.531, y = 274.172, z = -4628.816 }, rot = { x = 0.000, y = 92.062, z = 0.000 }, level = 1, area_id = 11 },
	[693007] = { config_id = 693007, gadget_id = 70800069, pos = { x = -2535.121, y = 274.286, z = -4634.333 }, rot = { x = 0.000, y = 23.383, z = 0.000 }, level = 1, area_id = 11 },
	[693008] = { config_id = 693008, gadget_id = 70800069, pos = { x = -2544.476, y = 274.256, z = -4605.841 }, rot = { x = 0.000, y = 231.362, z = 0.000 }, level = 1, area_id = 11 },
	[693009] = { config_id = 693009, gadget_id = 70800069, pos = { x = -2546.374, y = 274.610, z = -4611.598 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 11 },
	[693010] = { config_id = 693010, gadget_id = 70800069, pos = { x = -2540.376, y = 274.376, z = -4616.450 }, rot = { x = 0.000, y = 310.345, z = 0.000 }, level = 1, area_id = 11 },
	[693011] = { config_id = 693011, gadget_id = 70800069, pos = { x = -2552.694, y = 275.112, z = -4592.967 }, rot = { x = 0.000, y = 60.052, z = 0.000 }, level = 1, area_id = 11 },
	[693012] = { config_id = 693012, gadget_id = 70800069, pos = { x = -2544.567, y = 274.173, z = -4593.296 }, rot = { x = 0.000, y = 265.013, z = 0.000 }, level = 1, area_id = 11 },
	[693013] = { config_id = 693013, gadget_id = 70800069, pos = { x = -2545.595, y = 274.000, z = -4598.094 }, rot = { x = 0.000, y = 292.325, z = 0.000 }, level = 1, area_id = 11 },
	[693014] = { config_id = 693014, gadget_id = 70800069, pos = { x = -2578.507, y = 274.020, z = -4600.338 }, rot = { x = 0.000, y = 95.661, z = 0.000 }, level = 1, area_id = 11 },
	[693015] = { config_id = 693015, gadget_id = 70800069, pos = { x = -2571.276, y = 274.174, z = -4599.413 }, rot = { x = 0.000, y = 295.835, z = 0.000 }, level = 1, area_id = 11 },
	[693016] = { config_id = 693016, gadget_id = 70800069, pos = { x = -2567.059, y = 274.000, z = -4600.271 }, rot = { x = 0.000, y = 284.001, z = 0.000 }, level = 1, area_id = 11 },
	[693017] = { config_id = 693017, gadget_id = 70800070, pos = { x = -2534.780, y = 276.671, z = -4582.491 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 11 },
	[693018] = { config_id = 693018, gadget_id = 70800070, pos = { x = -2534.610, y = 275.124, z = -4566.724 }, rot = { x = 0.000, y = 316.160, z = 0.000 }, level = 1, area_id = 11 },
	[693019] = { config_id = 693019, gadget_id = 70800070, pos = { x = -2537.006, y = 275.783, z = -4591.408 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 11 },
	[693020] = { config_id = 693020, gadget_id = 70800069, pos = { x = -2536.340, y = 274.749, z = -4567.692 }, rot = { x = 0.000, y = 23.015, z = 0.000 }, level = 1, area_id = 11 },
	[693021] = { config_id = 693021, gadget_id = 70800069, pos = { x = -2537.176, y = 276.543, z = -4582.415 }, rot = { x = 0.000, y = 322.602, z = 0.000 }, level = 1, area_id = 11 },
	[693022] = { config_id = 693022, gadget_id = 70800069, pos = { x = -2536.884, y = 276.432, z = -4578.886 }, rot = { x = 0.000, y = 31.962, z = 0.000 }, level = 1, area_id = 11 },
	[693023] = { config_id = 693023, gadget_id = 70800070, pos = { x = -2541.518, y = 276.219, z = -4582.772 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 11 },
	[693024] = { config_id = 693024, gadget_id = 70800070, pos = { x = -2554.195, y = 276.989, z = -4584.865 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 11 },
	[693025] = { config_id = 693025, gadget_id = 70800070, pos = { x = -2538.075, y = 275.753, z = -4591.497 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 11 },
	[693026] = { config_id = 693026, gadget_id = 70800070, pos = { x = -2535.928, y = 275.745, z = -4591.356 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 11 },
	[693027] = { config_id = 693027, gadget_id = 70800070, pos = { x = -2558.618, y = 274.440, z = -4582.456 }, rot = { x = 0.000, y = 54.910, z = 0.000 }, level = 1, area_id = 11 },
	[693028] = { config_id = 693028, gadget_id = 70800070, pos = { x = -2574.087, y = 274.216, z = -4584.338 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 11 },
	[693029] = { config_id = 693029, gadget_id = 70800070, pos = { x = -2585.519, y = 275.853, z = -4610.907 }, rot = { x = 0.000, y = 332.630, z = 0.000 }, level = 1, area_id = 11 },
	[693030] = { config_id = 693030, gadget_id = 70800070, pos = { x = -2581.394, y = 274.012, z = -4627.397 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 11 },
	[693031] = { config_id = 693031, gadget_id = 70800070, pos = { x = -2583.693, y = 274.376, z = -4637.148 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 11 },
	[693032] = { config_id = 693032, gadget_id = 70800070, pos = { x = -2584.977, y = 274.362, z = -4637.074 }, rot = { x = 0.000, y = 64.336, z = 0.000 }, level = 1, area_id = 11 },
	[693033] = { config_id = 693033, gadget_id = 70800070, pos = { x = -2539.771, y = 274.177, z = -4631.335 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 11 },
	[693034] = { config_id = 693034, gadget_id = 70800070, pos = { x = -2536.421, y = 275.756, z = -4611.500 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 11 },
	[693035] = { config_id = 693035, gadget_id = 70800070, pos = { x = -2537.618, y = 275.756, z = -4601.808 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 11 },
	[693036] = { config_id = 693036, gadget_id = 70800070, pos = { x = -2536.225, y = 275.756, z = -4604.034 }, rot = { x = 0.000, y = 330.310, z = 0.000 }, level = 1, area_id = 11 },
	[693037] = { config_id = 693037, gadget_id = 70800070, pos = { x = -2538.817, y = 275.756, z = -4595.423 }, rot = { x = 0.000, y = 310.811, z = 0.000 }, level = 1, area_id = 11 },
	[693038] = { config_id = 693038, gadget_id = 70800070, pos = { x = -2536.744, y = 275.756, z = -4596.255 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 11 },
	-- 场景诱饵1
	[693053] = { config_id = 693053, gadget_id = 44000107, pos = { x = -2587.947, y = 274.334, z = -4628.000 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	-- 场景诱饵2
	[693054] = { config_id = 693054, gadget_id = 44000107, pos = { x = -2587.922, y = 274.335, z = -4629.773 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	-- 场景诱饵3
	[693055] = { config_id = 693055, gadget_id = 44000107, pos = { x = -2587.937, y = 274.332, z = -4631.373 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	-- 能量球随机点1
	[693056] = { config_id = 693056, gadget_id = 44000105, pos = { x = -2568.586, y = 273.952, z = -4578.102 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 11 },
	-- 场景猎人引导1
	[693057] = { config_id = 693057, gadget_id = 44000106, pos = { x = -2567.430, y = 273.733, z = -4576.860 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	-- 场景猎人引导1
	[693058] = { config_id = 693058, gadget_id = 44000106, pos = { x = -2568.805, y = 273.733, z = -4577.067 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	-- 场景猎人引导1
	[693059] = { config_id = 693059, gadget_id = 44000106, pos = { x = -2570.058, y = 273.733, z = -4576.754 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	-- 场景诱饵3
	[693060] = { config_id = 693060, gadget_id = 44000107, pos = { x = -2586.096, y = 274.190, z = -4606.037 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	-- 场景诱饵3
	[693061] = { config_id = 693061, gadget_id = 44000107, pos = { x = -2586.096, y = 274.190, z = -4606.037 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	-- 场景诱饵3
	[693062] = { config_id = 693062, gadget_id = 44000107, pos = { x = -2586.096, y = 274.190, z = -4606.037 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	-- 场景诱饵3
	[693063] = { config_id = 693063, gadget_id = 44000107, pos = { x = -2586.096, y = 274.190, z = -4606.037 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	-- 场景诱饵3
	[693064] = { config_id = 693064, gadget_id = 44000107, pos = { x = -2586.096, y = 274.190, z = -4606.037 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	-- 场景诱饵3
	[693065] = { config_id = 693065, gadget_id = 44000107, pos = { x = -2586.096, y = 274.190, z = -4606.037 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	[693066] = { config_id = 693066, gadget_id = 70800065, pos = { x = -2560.033, y = 280.762, z = -4601.266 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 11 },
	[693069] = { config_id = 693069, gadget_id = 70310066, pos = { x = -2555.231, y = 334.346, z = -4600.931 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 11 },
	[693082] = { config_id = 693082, gadget_id = 70800071, pos = { x = -2558.791, y = 275.621, z = -4609.484 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 11 },
	[693083] = { config_id = 693083, gadget_id = 70800071, pos = { x = -2563.896, y = 275.621, z = -4609.484 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 11 },
	[693084] = { config_id = 693084, gadget_id = 70800071, pos = { x = -2558.923, y = 276.208, z = -4615.325 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 11 },
	[693085] = { config_id = 693085, gadget_id = 70800071, pos = { x = -2563.688, y = 276.208, z = -4615.181 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 11 },
	[693086] = { config_id = 693086, gadget_id = 70800071, pos = { x = -2558.923, y = 276.208, z = -4626.217 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 11 },
	[693087] = { config_id = 693087, gadget_id = 70800071, pos = { x = -2563.688, y = 276.208, z = -4626.073 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 11 },
	[693088] = { config_id = 693088, gadget_id = 70800071, pos = { x = -2555.814, y = 276.208, z = -4618.542 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1, area_id = 11 },
	[693089] = { config_id = 693089, gadget_id = 70800071, pos = { x = -2555.814, y = 276.208, z = -4623.190 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1, area_id = 11 },
	[693090] = { config_id = 693090, gadget_id = 70800071, pos = { x = -2567.215, y = 276.208, z = -4618.604 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1, area_id = 11 },
	[693091] = { config_id = 693091, gadget_id = 70800071, pos = { x = -2567.215, y = 276.208, z = -4623.251 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1, area_id = 11 },
	[693092] = { config_id = 693092, gadget_id = 70800071, pos = { x = -2558.791, y = 275.621, z = -4633.848 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 11 },
	[693093] = { config_id = 693093, gadget_id = 70800071, pos = { x = -2563.896, y = 275.621, z = -4633.848 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 11 },
	[693094] = { config_id = 693094, gadget_id = 70800071, pos = { x = -2574.565, y = 275.633, z = -4618.604 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1, area_id = 11 },
	[693095] = { config_id = 693095, gadget_id = 70800071, pos = { x = -2574.565, y = 275.633, z = -4623.251 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1, area_id = 11 },
	[693096] = { config_id = 693096, gadget_id = 70800071, pos = { x = -2548.496, y = 275.633, z = -4618.604 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1, area_id = 11 },
	[693097] = { config_id = 693097, gadget_id = 70800071, pos = { x = -2548.496, y = 275.633, z = -4623.251 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1, area_id = 11 },
	[693098] = { config_id = 693098, gadget_id = 70800071, pos = { x = -2570.901, y = 275.658, z = -4611.408 }, rot = { x = 0.000, y = 311.435, z = 0.000 }, level = 1, area_id = 11 },
	[693099] = { config_id = 693099, gadget_id = 70800071, pos = { x = -2551.972, y = 275.658, z = -4630.385 }, rot = { x = 0.000, y = 311.435, z = 0.000 }, level = 1, area_id = 11 },
	[693100] = { config_id = 693100, gadget_id = 70800071, pos = { x = -2551.972, y = 275.658, z = -4611.535 }, rot = { x = 0.000, y = 223.983, z = 0.000 }, level = 1, area_id = 11 },
	[693101] = { config_id = 693101, gadget_id = 70800071, pos = { x = -2570.901, y = 275.658, z = -4630.453 }, rot = { x = 0.000, y = 222.698, z = 0.000 }, level = 1, area_id = 11 }
}

-- 区域
regions = {
	[693070] = { config_id = 693070, shape = RegionShape.SPHERE, radius = 200, pos = { x = -2585.494, y = 274.227, z = -4628.237 }, area_id = 11 },
	[693071] = { config_id = 693071, shape = RegionShape.SPHERE, radius = 80, pos = { x = -2556.238, y = 274.294, z = -4602.242 }, area_id = 11 }
}

-- 触发器
triggers = {
}

-- 点位
points = {
	{ config_id = 693072, pos = { x = -2569.352, y = 273.733, z = -4569.972 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, area_id = 11 },
	{ config_id = 693073, pos = { x = -2567.430, y = 273.733, z = -4576.860 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, area_id = 11 },
	{ config_id = 693074, pos = { x = -2568.805, y = 273.733, z = -4577.067 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, area_id = 11 },
	{ config_id = 693075, pos = { x = -2570.058, y = 273.733, z = -4576.754 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, area_id = 11 },
	-- 能量随机点1
	{ config_id = 693076, pos = { x = -2536.698, y = 275.858, z = -4589.799 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 11 },
	-- 能量随机点1
	{ config_id = 693077, pos = { x = -2561.304, y = 288.574, z = -4620.929 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 11 },
	-- 能量随机点1
	{ config_id = 693078, pos = { x = -2569.094, y = 289.685, z = -4588.499 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 11 },
	-- 能量随机点1
	{ config_id = 693079, pos = { x = -2538.379, y = 275.826, z = -4620.991 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 11 },
	-- 能量随机点1
	{ config_id = 693080, pos = { x = -2582.511, y = 274.004, z = -4614.979 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 11 },
	-- 能量随机点1
	{ config_id = 693081, pos = { x = -2561.188, y = 274.358, z = -4639.505 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 11 }
}

-- 变量
variables = {
}

-- 视野组
sight_groups = {
	{ 693001, 693057, 693058, 693059, 693056 }
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { 693001 },
		regions = { 693070, 693071 },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 2,
		-- description = ,
		monsters = { },
		gadgets = { 693002, 693003, 693004, 693005, 693006, 693007, 693008, 693009, 693010, 693011, 693012, 693013, 693014, 693015, 693016, 693017, 693018, 693019, 693020, 693021, 693022, 693023, 693024, 693025, 693026, 693027, 693028, 693029, 693030, 693031, 693032, 693033, 693034, 693035, 693036, 693037, 693038, 693082, 693083, 693084, 693085, 693086, 693087, 693088, 693089, 693090, 693091, 693092, 693093, 693094, 693095, 693096, 693097, 693098, 693099, 693100, 693101 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 3,
		-- description = 预留,
		monsters = { },
		gadgets = { 693066, 693069 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 4,
		-- description = 预留,
		monsters = { },
		gadgets = { },
		regions = { },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_4/HideAndSeek_Gallery_V2"
require "V2_4/HideAndSeek_Skill_V2"
